import { OnInit, DoCheck, SimpleChanges, OnChanges } from '@angular/core';
import { ItemService } from '../item-service/item-service.service';
import { DomSanitizer } from '@angular/platform-browser';
import { QuizService } from '../../../shared/service/quiz.service';
export declare class FigureLabelingComponent implements OnInit, DoCheck, OnChanges {
    itemService: ItemService;
    _DomSanitizationService: DomSanitizer;
    private quizService;
    userAnswer: any;
    message: any;
    clearAnswer: any;
    assetData: any;
    userAnswerService: any;
    choiceArray: any;
    duplicateKeyValue: boolean;
    correctOptions: any;
    iscompletlyEmpty: boolean;
    isPartialEmpty: boolean;
    questionDetails1: any;
    duplicate: any;
    hasAnswered: boolean;
    duplicatePresent: number;
    duplicateIndexes: any[];
    get questionDetails(): any;
    set questionCurrentData(value: any);
    constructor(itemService: ItemService, _DomSanitizationService: DomSanitizer, quizService: QuizService);
    examEngineType: string;
    canShowMetadata: boolean;
    isClearAnswer: boolean;
    isShowHide: boolean;
    imagePath: any;
    checkQuizSubmission: any;
    selectedTheme: any;
    fontSize: any;
    preferredTextFormat: number;
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    ngDoCheck(): void;
    shuffle(): void;
    clearUserInputs(): void;
    getChoiceClassName(choice: any, correctChoice: any): "wk-icon-checkmark green-checkmark" | "wk-icon-close wrong-checkmark" | "wk-icon-checkmark disabled-checkmark";
    selectAnswer(): void;
    valueChanged(): void;
    checkingAnswer(): any;
    checkDuplicate(index: any, abc: any): void;
    checkFullEntry(): void;
    createQuestion(): void;
    splitStringForType(type: any, value: any): string;
    loadImagePath(assetType: any, slide: any): any;
}
